Subject: Re: Git in GSoC 2025

From: Patrick Steinhardt <[email-masked]>
Date: Fri, 31 Jan 2025 05:51:51 +0100

On Thu, Jan 30, 2025 at 01:00:27PM -0800, Junio C Hamano wrote:
> Junio C Hamano <[email-masked]> writes:
> 
> > I do not mind either word, either, but I have two small issues to
> > raise:
> >
> >  - Is each topic "owned" by some specific person?  Would an owner
> >    retires from the project, would the leftover bits go away with
> >    the owner?
> 
> I obviously meant "When an owner retires", but more importantly, I
> should have offered an alternative here, instead of just raising it
> as an issue.
> 
> How about making the rule a lot simpler?
> 
>     The expiration date kicks in _mechanically_, i.e. stale entries
>     are unconditionally dropped at the date, based solely on the
>     comparison between the timestamp and the wall clock.
> 
> People are free to advocate for its continued existence, and when
> such an effort achieves a concensus among then-active members of the
> community by the stated expiration date, a patch to update the
> entry's expiration date may be accepted, thereby prolonging its
> shelf life.  Unless such a thing happens before the expiration date
> comes, we will mechanically drop the entry.
> 
> Of course people _can_ resurrect an expired entry later as a new
> one when it seems appropriate.
> 
> That makes the decision to expire things from the list easy to make.

Works for me. Ideally, as any other topic, the retirement should be sent
to the mailing list as a normal patch series so that people may chime in
on the retirement and state reasons why they don't think that is a good
idea.

Patrick